
spring.datasource.url = jdbc:mysql://localhost:3306/spring_blog?useSSL=false   
#syntax lang ung nsa taas para sa connection string.
spring.datasource.username = root
spring.datasource.password =

# "Java Persistence API (JPA)" provides a mechanism for managing persistence and object-relational mapping and functions.

# This contains mapping between java language data type and database datatype.
# Convert hibernate queries to native SQL queries.
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5InnoDBDialect

# the object model created based on the mappings (annotations or XML) is compared with the existing schema, and then Hibernate updates the schema according to the diff.
spring.jpa.hibernate.ddl-auto = update



//springbootstarterdatajpa dependency required to connect to phpmyadmin using hibernateORM
//msql-connector-java
//springboot-starter-web 


//application.properties
